(define-module (ui bacula director ajax)
	       :use-module (alterator ajax)
	       :use-module (alterator woo)
	       :use-module (alterator effect)
	       :export (init))

;delete---------
(define (ui-writeed)
  (form-update-visibility "director_message" #f)
  (catch/message
    (lambda()
      (apply woo-write "/bacula-director"
	     'language (form-value "language")
	     (form-value-list '("director_name" "director_pass" "storage_address" "storage_pass" "director_server" "storage_server" "mode" "base_actions")))
      (form-update-visibility "director_message" #t)
      (ui-read))))
;--------------

(define (ui-write)
  (form-update-visibility "director_message" #f)
  (catch/message
    (lambda()
      (apply woo-write "/bacula-director"
             'language (form-value "language")
             (form-value-list))
      (form-update-visibility "director_message" #t)
      (ui-read))))


(define (ui-read)
  (form-update-value-list
    (woo-read-first "/bacula-director")))

(define (init)
  (ui-read)

  (effect-show "mysql_" "base_actions" #t)
  (init-effect)
  
  (form-bind "apply_button" "click" ui-write))
